aboutsummaryrefslogtreecommitdiff
path: root/test/_global/all_the_clis.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/_global/all_the_clis.sh')
-rw-r--r--test/_global/all_the_clis.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/test/_global/all_the_clis.sh b/test/_global/all_the_clis.sh
new file mode 100644
index 0000000..71171c1
--- /dev/null
+++ b/test/_global/all_the_clis.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Definition specific tests
+check "check for aws" aws --version
+check "check for gh" gh --version
+check "check for azure" az --version
+
+# Report result
+reportResults \ No newline at end of file